com.amazonaws.services.workspaces.model

## Class WorkspaceConnectionStatus

- java.lang.Object
- - com.amazonaws.services.workspaces.model.WorkspaceConnectionStatus

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkspaceConnectionStatus
    extends Object
    implements Serializable, Cloneable

Describes the connection status of a WorkSpace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceConnectionStatus()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkspaceConnectionStatus` `clone()`
`boolean` `equals(Object obj)`
`String` `getConnectionState()` The connection state of the WorkSpace.
`Date` `getConnectionStateCheckTimestamp()` The timestamp of the connection state check.
`Date` `getLastKnownUserConnectionTimestamp()` The timestamp of the last known user connection.
`String` `getWorkspaceId()` The ID of the WorkSpace.
`int` `hashCode()`
`void` `setConnectionState(ConnectionState connectionState)` The connection state of the WorkSpace.
`void` `setConnectionState(String connectionState)` The connection state of the WorkSpace.
`void` `setConnectionStateCheckTimestamp(Date connectionStateCheckTimestamp)` The timestamp of the connection state check.
`void` `setLastKnownUserConnectionTimestamp(Date lastKnownUserConnectionTimestamp)` The timestamp of the last known user connection.
`void` `setWorkspaceId(String workspaceId)` The ID of the WorkSpace.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkspaceConnectionStatus` `withConnectionState(ConnectionState connectionState)` The connection state of the WorkSpace.
`WorkspaceConnectionStatus` `withConnectionState(String connectionState)` The connection state of the WorkSpace.
`WorkspaceConnectionStatus` `withConnectionStateCheckTimestamp(Date connectionStateCheckTimestamp)` The timestamp of the connection state check.
`WorkspaceConnectionStatus` `withLastKnownUserConnectionTimestamp(Date lastKnownUserConnectionTimestamp)` The timestamp of the last known user connection.
`WorkspaceConnectionStatus` `withWorkspaceId(String workspaceId)` The ID of the WorkSpace.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkspaceConnectionStatus

    public WorkspaceConnectionStatus()

### Method Detail

#### setWorkspaceId

    public void setWorkspaceId(String workspaceId)

The ID of the WorkSpace.

Parameters:
  `workspaceId` - The ID of the WorkSpace.

#### getWorkspaceId

    public String getWorkspaceId()

The ID of the WorkSpace.

Returns:
  The ID of the WorkSpace.

#### withWorkspaceId

    public WorkspaceConnectionStatus withWorkspaceId(String workspaceId)

The ID of the WorkSpace.

Parameters:
  `workspaceId` - The ID of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setConnectionState

    public void setConnectionState(String connectionState)

The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.

Parameters:
  `connectionState` - The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.
See Also:
  `ConnectionState`

#### getConnectionState

    public String getConnectionState()

The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.

Returns:
  The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.
See Also:
  `ConnectionState`

#### withConnectionState

    public WorkspaceConnectionStatus withConnectionState(String connectionState)

The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.

Parameters:
  `connectionState` - The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ConnectionState`

#### setConnectionState

    public void setConnectionState(ConnectionState connectionState)

The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.

Parameters:
  `connectionState` - The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.
See Also:
  `ConnectionState`

#### withConnectionState

    public WorkspaceConnectionStatus withConnectionState(ConnectionState connectionState)

The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.

Parameters:
  `connectionState` - The connection state of the WorkSpace. Returns UNKOWN if the WorkSpace is in a Stopped state.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ConnectionState`

#### setConnectionStateCheckTimestamp

    public void setConnectionStateCheckTimestamp(Date connectionStateCheckTimestamp)

The timestamp of the connection state check.

Parameters:
  `connectionStateCheckTimestamp` - The timestamp of the connection state check.

#### getConnectionStateCheckTimestamp

    public Date getConnectionStateCheckTimestamp()

The timestamp of the connection state check.

Returns:
  The timestamp of the connection state check.

#### withConnectionStateCheckTimestamp

    public WorkspaceConnectionStatus withConnectionStateCheckTimestamp(Date connectionStateCheckTimestamp)

The timestamp of the connection state check.

Parameters:
  `connectionStateCheckTimestamp` - The timestamp of the connection state check.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastKnownUserConnectionTimestamp

    public void setLastKnownUserConnectionTimestamp(Date lastKnownUserConnectionTimestamp)

The timestamp of the last known user connection.

Parameters:
  `lastKnownUserConnectionTimestamp` - The timestamp of the last known user connection.

#### getLastKnownUserConnectionTimestamp

    public Date getLastKnownUserConnectionTimestamp()

The timestamp of the last known user connection.

Returns:
  The timestamp of the last known user connection.

#### withLastKnownUserConnectionTimestamp

    public WorkspaceConnectionStatus withLastKnownUserConnectionTimestamp(Date lastKnownUserConnectionTimestamp)

The timestamp of the last known user connection.

Parameters:
  `lastKnownUserConnectionTimestamp` - The timestamp of the last known user connection.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkspaceConnectionStatus clone()

Overrides:
  `clone` in class `Object`